require("angular-moment");
require("angular-ui-grid");
require('angular-ui-grid/dist/release/ui-grid.css');
require('../scss/pix-angular-filebrowser.scss');


module.exports = angular
    .module('PIX.FileBrowser', [
        // filebrowser dependencies
        require("./FileBrowserController").name,
        require("./FileBrowserService").name,

        // PIX dependencies
        require("pix-angular-core-services").name,
        require("pix-angular-accessibility-directives").name,

        require('ngtranslate?module=PIX.FileBrowser.Translate!../../locale/locale.en_US.json'),

        // third party libraries
        'ui.grid',
        'ui.grid.selection',
        'angularMoment'
    ]);